%define anolis_release 4

Name:		perl-Params-Check
Epoch:		1
Version:	0.38
Release:	%{anolis_release}%{?dist}
Summary:	Generic input parsing/checking mechanism
License:	GPL+ or Artistic
URL:		https://metacpan.org/release/Params-Check
Source0:	https://cpan.metacpan.org/modules/by-module/Params/Params-Check-%{version}.tar.gz
BuildRequires:	coreutils findutils make
BuildRequires:  perl-generators perl-interpreter perl(ExtUtils::MakeMaker)
BuildRequires:  perl(strict) perl(Carp) perl(Exporter)
BuildRequires:  perl(vars) perl(Locale::Maketext::Simple)
BuildRequires:  perl(constant) perl(Test::More)

BuildArch:      noarch

%description
Allows for generic input checking and validating using a powerfull
templating system, providing default values and so on.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{epoch}:%{version}-%{release}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%autosetup -n Params-Check-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install	
make pure_install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -delete
%{_fixperms} -c $RPM_BUILD_ROOT

%check
make test

%files
%{perl_vendorlib}/Params/
%{_mandir}/man3/Params::Check.3*

%files doc
%doc CHANGES README

%changelog
* Fri Apr 14 2023 Kaihao Bai <carlo.bai@linux.alibaba.com> - 1:0.38-4
- optimize spec

* Mon Feb 06 2023 mgb01105731 <mgb01105731@alibaba-inc.com> - 1:0.38-3
- remove versioned MODULE_COMPAT_ requires

* Mon Jan 30 2023 Chunmei Xu <xuchunmei@linux.alibaba.com> - 1:0.38-2
- rebuild with perl 5.36.0

* Wed Apr 20 2022 happy_orange <songnannan@linux.alibaba.com> - 1:0.38-1
- Init package from upstream
